=== modified file 'Makefile'
--- Makefile	2008-10-09 17:54:09 +0000
+++ Makefile	2009-05-04 09:55:18 +0000
@@ -1,12 +1,12 @@
-RELEASE_DATE := "22-January-2009"
+RELEASE_DATE := "6-February-2009"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 0
 RELEASE_SUBLEVEL := 21
-RELEASE_EXTRALEVEL := .0
+RELEASE_EXTRALEVEL := .1
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
-DIST := intrepid
+DIST := jaunty
 SHELL=bash
 
 SBIN = $(DESTDIR)/usr/sbin

=== modified file 'dkms'
--- dkms	2008-10-09 17:54:09 +0000
+++ dkms	2009-05-04 09:55:18 +0000
@@ -367,8 +367,6 @@
     CLEAN=""
     REMAKE_INITRD=""
     remake_initrd=""
-    UDEV_TRIGGER=""
-    udev_trigger="no"
     PACKAGE_NAME=""
     PACKAGE_VERSION=""
     POST_ADD=""
@@ -579,9 +577,6 @@
     # Set remake_initrd
     [ `echo "$REMAKE_INITRD" | grep -ic "^y"` -gt 0 ] && remake_initrd="yes"
 
-    # Set udev_trigger
-    [ `echo "$UDEV_TRIGGER" | grep -ic "^n"` -gt 0 ] && udev_trigger="no"
-
     # Set build_exclude
     if [ -n "$BUILD_EXCLUSIVE_KERNEL" ]; then
 	echo $1 | egrep -q "$BUILD_EXCLUSIVE_KERNEL" || build_exclude="yes"
@@ -1297,13 +1292,6 @@
 	fi
     fi
 
-    # Notify udev if we installed something for the currently running kernel as long as UDEV_TRIGGER is not set to no
-    if [ "${udev_trigger}" == "yes" -a -x /sbin/udevadm -a "${kernelver_array[0]}" == "$(uname -r)" -a "${arch_array[0]}" == "$(uname -m)" ]; then
-       /sbin/udevadm trigger
-    elif [ "${udev_trigger}" == "yes" -a -x /sbin/udevtrigger -a "${kernelver_array[0]}" == "$(uname -r)" -a "${arch_array[0]}" == "$(uname -m)" ]; then
-	/sbin/udevtrigger
-    fi
-
     echo $""
     echo $"DKMS: install Completed."
 }
@@ -3510,7 +3498,7 @@
         exec >/dev/null 2>&1
         ;;
     --version|-V)
-        echo $"dkms: 2.0.21.0"
+        echo $"dkms: 2.0.21.1"
         exit 0
         ;;
     --no-prepare-kernel)

=== modified file 'dkms.spec'
--- dkms.spec	2008-10-09 17:54:09 +0000
+++ dkms.spec	2009-05-04 09:55:18 +0000
@@ -1,6 +1,6 @@
 Summary: Dynamic Kernel Module Support Framework
 Name: dkms
-Version: 2.0.21.0
+Version: 2.0.21.1
 Release: 1%{?dist}
 License: GPLv2+
 Group: System Environment/Base
@@ -117,6 +117,16 @@
 # enable on initial install
 [ $1 -lt 2 ] && /sbin/chkconfig dkms_autoinstaller on ||:
 
+#on sles11, we'll have this file and need to set this option
+#so that we can use DKMS modules
+if [ -f /etc/modprobe.conf.local ]; then
+    if grep ^allow_unsupported_modules /etc/modprobe.conf.local >/dev/null; then
+         sed -i -e 's/^allow_unsupported_modules.*/allow_unsupported_modules 1/' /etc/modprobe.conf.local
+    else
+         echo "allow_unsupported_modules 1" >> /etc/modprobe.conf.local
+    fi
+fi
+
 %preun
 # remove on uninstall
 [ $1 -lt 1 ] && /sbin/chkconfig dkms_autoinstaller off ||:

=== modified file 'dkms_autoinstaller'
--- dkms_autoinstaller	2008-08-05 13:59:38 +0000
+++ dkms_autoinstaller	2009-05-04 09:55:18 +0000
@@ -7,10 +7,10 @@
 #
 ### BEGIN INIT INFO
 # Provides: dkms
-# Default-Start: 3 4 5
-# Default-Stop: 0 1 2 6
+# Default-Start: 2 3 4 5
+# Default-Stop:
 # Required-Start: $local_fs
-# Required-Stop: $local_fs
+# Required-Stop:
 # Short-Description: Automatically install DKMS modules for new kernels
 # Description: A service to automatically install DKMS modules for new kernels.
 ### END INIT INFO
@@ -138,7 +138,8 @@
 		else
 		    echo "$module_in_tree ($version_in_tree): Installing module." >>$output_loc
 		    if [ "$current_state" != "built" ] && ! [ -e /lib/modules/$kernel/build/include ]; then
-			echo "  Kernel source for $kernel not installed.  Cannot install this module." >>$output_loc
+			echo "  Kernel headers for $kernel are not installed.  Cannot install this module." >>$output_loc
+			echo "  Try installing linux-headers-$kernel or equivalent." >>$output_loc
                         log_action_end_msg 1
 		    elif [ "$current_state" != "built" ] && [ -e /lib/modules/$kernel/build/include ]; then
 			return_status=""

